#import <Foundation/Foundation.h>
#import "DBManager.h"

@class CalendarSymbolObject;
@class MarketSymbolObject;
@class NewsTagObject;
@class OutlookSymbolObject;

@interface SqLiteDBHandler : NSObject {
    DBManager *dbManager;
}
- (id)init;
+ (SqLiteDBHandler *)instance;
- (void)saveCalendarSymbolObject:(CalendarSymbolObject *)symbolObject;
- (void)saveNewsTagObject:(NewsTagObject *)newsTagObject;
- (NSMutableArray *)loadCalendarSymbolObject;
- (NSMutableArray *)loadCalendarSymbolObject:(bool)unique;
- (void)deleteAllCalendarSymbols;
- (NSMutableArray *)loadAllMarketSymbolsByUserOrder;
- (void)deleteAllMarketSymbols;
- (void)addMarketSymbols:(NSMutableArray *)symbols;
- (NSMutableDictionary *)getAllMarketSymbolsDictionary;
- (NSMutableArray *)getAllMarketSymbolsArray;
- (void)updateMarketSymbol:(MarketSymbolObject *)symbol;
- (NSMutableArray *)loadNewsTags:(bool) activated;
- (NSMutableArray *)loadNewsTagsInt:(bool)activated;
- (void)addNewsRead:(int)newsOid;
- (void)updateTagSymbol:(NewsTagObject *)tag;
- (NSMutableArray *)loadReadNews;
- (void)deleteNewsReadByTime:(long long)time;
- (void)saveOutlookSymbol:(OutlookSymbolObject *)symbolObject;
- (bool)isEmptyOutlookSymbolsTable;
@end


